Package ru.bitel.bgbilling.modules.inet.server.event

# Class InetAccountingPeriodActivateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.modules.inet.server.event.InetAccountingPeriodActivateEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class InetAccountingPeriodActivateEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `InetAccountingPeriodActivateEvent()` |
  `` | `InetAccountingPeriodActivateEvent​(int moduleId, int contractId, int userId)` |
  `` | `InetAccountingPeriodActivateEvent​(int moduleId, int contractId, int userId, InetAccountingPeriod lastAccountingPeriod, boolean lightweightCheck)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `InetAccountingPeriod` | `getAccountingPeriod()` |
  `InetAccountingPeriod` | `getLastAccountingPeriod()` |
  `boolean` | `isLightweightCheck()` |
  `boolean` | `isProcessed()` |
  `boolean` | `isUseSeconds()` |
  `void` | `setAccountingPeriod​(InetAccountingPeriod accountingPeriod)` |
  `void` | `setProcessed​(boolean processed)` |
  `void` | `setUseSeconds​(boolean useSeconds)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetAccountingPeriodActivateEvent

    protected InetAccountingPeriodActivateEvent()

  - ### InetAccountingPeriodActivateEvent

    public InetAccountingPeriodActivateEvent​(int moduleId, int contractId, int userId)

  - ### InetAccountingPeriodActivateEvent

    public InetAccountingPeriodActivateEvent​(int moduleId, int contractId, int userId, InetAccountingPeriod lastAccountingPeriod, boolean lightweightCheck)

- ## Method Details

  - ### getLastAccountingPeriod

    public InetAccountingPeriod getLastAccountingPeriod()

  - ### getAccountingPeriod

    public InetAccountingPeriod getAccountingPeriod()

  - ### setAccountingPeriod

    public void setAccountingPeriod​(InetAccountingPeriod accountingPeriod)

  - ### isProcessed

    public boolean isProcessed()

  - ### setProcessed

    public void setProcessed​(boolean processed)

  - ### isUseSeconds

    public boolean isUseSeconds()

  - ### setUseSeconds

    public void setUseSeconds​(boolean useSeconds)

  - ### isLightweightCheck

    public boolean isLightweightCheck()